目前日期文章:201011 (3)

瀏覽方式: 標題列表 簡短摘要

最近因筆電故障新灌作業系統,安裝vs2010後自動安裝SQL Server Express,但是在過程中忘了將目前使用者加入為管理者,結果是無法管理資料庫。

目前找到MSDN Code Gallery中有個專案可下載script檔,執行後即可將目前使用者加入sql server instance中成為系統管理者角色。

光子 發表在 痞客邦 PIXNET 留言(0) 人氣()

最近需要將一個MySQL 4.0資料庫轉移到MSSQL 2008中,網路找到微軟有免費提供SSMA 2008 for MySQL 1.0(downloaded by Microsoft),立刻上網下載安裝,因為要連結MySQL還要安裝mysql-connector-odbc-5.1.7-win32(downloaded from MySQL),結果發現mysql-odbc 5.1.7無法連線到MySQL 4.0這麼舊的版本,決定再找個可以連線到舊版的odbc程式mysql-essential-5.1.52-win32,安裝後odbc雖正常,但是SSMA卻失敗,總之,還是得用odbc 5.1.7,進行到此看起來還是得升級MySQL到4.1版之後的版本,才能使用MS SSMA匯入MSSQL。

1. 升級MySQL 4.0到5.1 (參考前一篇)

光子 發表在 痞客邦 PIXNET 留言(0) 人氣()

MySQL 4.0是以big5編碼,許多big5沒有的字就難以呈現,雖然在4.1之後版本有支援utf8編碼,但是如何將4.0資料庫內以big5編碼的資料正確轉到最新版MySQL 5.1以utf8編碼,就得花些功夫。

1.備份資料庫:

光子 發表在 痞客邦 PIXNET 留言(0) 人氣()